/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLFieldSetElement_H__
#define __GdomHTMLFieldSetElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLFieldSetElement GdomHTMLFieldSetElement;
typedef struct _GdomHTMLFieldSetElementClass GdomHTMLFieldSetElementClass;


#define GDOM_TYPE_HTML_FIELD_SET_ELEMENT            (gdom_html_field_set_element_get_type())
#define GDOM_HTML_FIELD_SET_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_FIELD_SET_ELEMENT, GdomHTMLFieldSetElement))
#define GDOM_HTML_FIELD_SET_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_FIELD_SET_ELEMENT, GdomHTMLFieldSetElement)Class)
#define GDOM_IS_HTML_FIELD_SET_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_FIELD_SET_ELEMENT))
#define GDOM_IS_HTML_FIELD_SET_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_FIELD_SET_ELEMENT))
#define GDOM_HTML_FIELD_SET_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_FIELD_SET_ELEMENT, GdomHTMLFieldSetElementClass))

typedef struct _GdomHTMLFieldSetElementPrivate GdomHTMLFieldSetElementPrivate;

struct _GdomHTMLFieldSetElement {
    GdomHTMLElement parent_instance;
    GdomHTMLFieldSetElementPrivate *priv;
};

struct _GdomHTMLFieldSetElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_field_set_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLFieldSetElement_H__ */
